:root {
    --bs-form-warning-color: #ffc107;
    --bs-form-warning-border-color: #ffc107;
}

body {
    display: flex;
    flex-direction: row;
    height: 100vh;
}

h1:focus {
    outline: none;
}

/* Recommened form field styling*/
.recommended:not(.modified) ~ .recommended-message,
.recommended:not(.modified) ~ .recommended-tooltip {
    display: block;
}

.form-control.recommended:not(.modified) {
    border-color: var(--bs-form-warning-border-color);
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23ffc107'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23ffc107' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.form-control.recommended:focus:not(.modified) {
    border-color: var(--bs-form-warning-border-color);
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-warning-rgb), 0.25);
}

textarea.form-control.recommended:not(.modified) {
    padding-right: calc(1.5em + 0.75rem);
    background-position: top calc(0.375em + 0.1875rem) right calc(0.375em + 0.1875rem);
}

.form-select.recommended:not(.modified) {
    border-color: var(--bs-form-warning-border-color);
}

.form-select.recommended:not([multiple]):not([size]), .form-select.recommended:not([multiple])[size="1"] {
    --bs-form-select-bg-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    padding-right: 4.125rem;
    background-position: right 0.75rem center, center right 2.25rem;
    background-size: 16px 12px, calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.form-select.recommended:focus:not(.modified) {
    border-color: var(--bs-form-warning-border-color);
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-warning-rgb), 0.25);
}

.form-control-color.recommended:not(.modified) {
    width: calc(3rem + calc(1.5em + 0.75rem));
}

.form-check-input.recommended:not(.modified) {
    border-color: var(--bs-form-warning-border-color);
}

.form-check-input.recommended:checked:not(.modified) {
    background-color: var(--bs-form-warning-color);
}

.form-check-input.recommended:focus:not(.modified) {
    box-shadow: 0 0 0 0.25rem rgba(var(--bs-warning-rgb), 0.25);
}

.form-check-input.recommended:not(.modified) ~ .form-check-label {
    color: var(--bs-form-warning-color);
}

.input-group > .form-control:not(:focus).recommended:not(.modified),
.input-group > .form-select:not(:focus).recommended:not(.modified),
.input-group > .form-floating:not(:focus-within).recommended:not(.modified) {
    z-index: 4;
}

.recommended-message {
    display: none;
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.875em;
    color: var(--bs-form-warning-color);
}

.recommended-feedback,
.recommended-tooltip {
    display: block;
}

.form-check-inline .form-check-input ~ .recommended-feedback {
    margin-left: 0.5em;
}

/* Invalid form field styling*/
.was-validated :invalid ~ .validation-message,
.was-validated :invalid ~ .invalid-tooltip,
.gender-radio-group:has(.form-check-input.invalid) ~ .validation-message,
.invalid ~ .validation-message,
.invalid ~ .invalid-tooltip {
    display: block;
}

.was-validated .form-control:invalid, .form-control.invalid {
    border-color: var(--bs-form-invalid-border-color);
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

    .was-validated .form-control:invalid:focus, .form-control.invalid:focus {
        border-color: var(--bs-form-invalid-border-color);
        box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
    }

.was-validated textarea.form-control:invalid, textarea.form-control.invalid {
    padding-right: calc(1.5em + 0.75rem);
    background-position: top calc(0.375em + 0.1875rem) right calc(0.375em + 0.1875rem);
}

.was-validated .form-select:invalid, .form-select.invalid {
    border-color: var(--bs-form-invalid-border-color);
}

    .was-validated .form-select:invalid:not([multiple]):not([size]), .was-validated .form-select:invalid:not([multiple])[size="1"], .form-select.invalid:not([multiple]):not([size]), .form-select.invalid:not([multiple])[size="1"] {
        --bs-form-select-bg-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
        padding-right: 4.125rem;
        background-position: right 0.75rem center, center right 2.25rem;
        background-size: 16px 12px, calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
    }

    .was-validated .form-select:invalid:focus, .form-select.invalid:focus {
        border-color: var(--bs-form-invalid-border-color);
        box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
    }

.was-validated .form-control-color:invalid, .form-control-color.invalid {
    width: calc(3rem + calc(1.5em + 0.75rem));
}

.was-validated .form-check-input:invalid, .form-check-input.invalid {
    border-color: var(--bs-form-invalid-border-color);
}

    .was-validated .form-check-input:invalid:checked, .form-check-input.invalid:checked {
        background-color: var(--bs-form-invalid-color);
    }

    .was-validated .form-check-input:invalid:focus, .form-check-input.invalid:focus {
        box-shadow: 0 0 0 0.25rem rgba(var(--bs-danger-rgb), 0.25);
    }

    .was-validated .form-check-input:invalid ~ .form-check-label, .form-check-input.invalid ~ .form-check-label {
        color: var(--bs-form-invalid-color);
    }

.form-check-inline .form-check-input ~ .validation-message {
    margin-left: 0.5em;
}

.was-validated .input-group > .form-control:not(:focus):invalid, .input-group > .form-control:not(:focus).invalid,
.was-validated .input-group > .form-select:not(:focus):invalid,
.input-group > .form-select:not(:focus).invalid,
.was-validated .input-group > .form-floating:not(:focus-within):invalid,
.input-group > .form-floating:not(:focus-within).invalid {
    z-index: 4;
}

.validation-message {
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.875em;
    color: var(--bs-form-invalid-color);
}

.was-validated :invalid ~ .invalid-feedback,
.was-validated :invalid ~ .invalid-tooltip,
.is-invalid ~ .invalid-feedback,
.is-invalid ~ .invalid-tooltip {
    display: block;
}

.form-check-inline .form-check-input ~ .invalid-feedback {
    margin-left: 0.5em;
}





.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

@media screen {
    .primary-container {
    }

    .primary-print-container {
        display: none;
    }
}

@media print {
    .primary-container {
        display: none;
    }

    .primary-print-container {
    }
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

table.table-view tbody tr td:first-child {
    width: 160px;
    color: #6c757d;
}

.patient-mugshot {
    /*max-width: 150px;
    max-height: 150px;*/
}

.form-check-input.male:checked {
    background-color: var(--bs-blue);
    border-color: var(--bs-blue);
}

.form-check-input.female:checked {
    background-color: var(--bs-pink);
    border-color: var(--bs-pink);
}

.bg-pink {
    --bs-bg-opacity: 1;
    background-color: var(--bs-pink) !important;
}

a:not([href]):not([class]), a:not([href]):not([class]) {
    cursor: pointer !important;
    text-decoration: none !important;
    color: rgba(var(--bs-link-color-rgb), var(--bs-link-opacity, 1));
}

    a:not([href]):not([class]):hover {
        color: var(--bs-blue);
    }


/*dl.dl {
    display: flex;
    flex-wrap: wrap;*/
/*overflow: hidden;*/
/*}

    dl.dl.dl-border {
        border-radius: var(--bs-border-radius);
        border: 1px solid var(--bs-border-color);
    }

    dl.dl dt, dl.dl dd {
        box-sizing: border-box;
        border-bottom: 1px solid var(--bs-border-color);
        padding: 0.25rem;
    }

    dl.dl dt {
        flex: 0 0 35%;
        background-color: var(--bs-table-striped-bg);
        font-weight: 300;
    }

    dl.dl dd {
        flex: 0 0 65%;
        margin: 0;
    }

        dl.dl dt:nth-of-type(odd),
        dl.dl dd:nth-of-type(odd) {
            background-color: rgba(var(--bs-emphasis-color-rgb), 0.05);
            color: var(--bs-emphasis-color);
            
        }

@media (max-width: 992px) {
    dl.dl dt,
    dl.dl dd {
        flex: 1 1 100%;
        min-height:2rem;
    }
}*/
dl.dl {
    margin: 0;
}

    /* Each row is flex */
    dl.dl > div {
        display: flex;
        flex-wrap: nowrap; /* keep dt/dd on same line */
    }

    /* dt fixed width */
    dl.dl dt {
        display: block; /* must be block for width to apply */
        flex: 0 0 200px; /* fixed width */
        padding: 0.25rem;
        font-weight: 600;
        background-color: var(--bs-table-striped-bg);
        border-bottom: 1px solid var(--bs-border-color);
        margin: 0;
        box-sizing: border-box;
    }

    /* dd fills remaining space */
    dl.dl dd {
        display: block; /* block so flex works reliably */
        flex: 1 1 auto;
        padding: 0.25rem;
        margin: 0;
        box-sizing: border-box;
        border-bottom: 1px solid var(--bs-border-color);
    }

    /* Optional striping */
    dl.dl > div:nth-child(odd) dd,
    dl.dl > div:nth-child(odd) dt {
        background-color: rgba(var(--bs-emphasis-color-rgb), 0.05);
        color: var(--bs-emphasis-color);
    }

/* Stack on small screens */
@media (max-width: 992px) {
    dl.dl > div {
        flex-direction: column;
    }

    dl.dl dt,
    dl.dl dd {
        width: 100%;
        flex: 1 1 100%;
        min-height: 2rem;
    }

    dl.dl dt {
        border-bottom: none;
    }
}

.pp-file-icon {
    max-width: 50px;
    max-height: 50px;
}

.pp-card-tile {
    width: 150px;
    height: 120px;
}

.fit-content {
    width:fit-content;
}

.fs-inhert {
    font-size:inherit;
}

.sign-area {
    width: 250px;
    height: 150px;
    border: 2px dashed #888;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fafafa;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: all 0.2s ease;
}

    .sign-area:hover {
        background-color: #f0f0f0;
        border-color: #555;
    }

.sign-text {
    color: #666;
    font-size: 1rem;
    font-style: italic;
    user-select: none;
    text-align: center;
}

.sign-image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: absolute;
    top: 0;
    left: 0;
}
